

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDsORswvfIOdE5ZfCHwW5cFs7Tkb9dfHd8&callback=initMap" async defer></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">
  <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  <title>My Geocode App</title>
  <style>
        #map{
          height:400px;
          width:100%;
        }
      </style>
</head>
<body>
   <div id="map"></div>
  <div class="container">
     
    <h2 id="text-center">Enter Location: </h2>
    <form id="location-form">
      <input type="text" id="location-input" class="form-control form-control-lg">
      <br>
      <button type="submit" class="btn btn-primary btn-block">Submit</button>
    </form>
    <div class="card-block" id="formatted-address"></div>
    <div class="card-block" id="address-components"></div>
    <div class="card-block" id="geometry"></div>
  </div>

  <script>
    // Call Geocode
    //geocode();

    // Get location form
    var locationForm = document.getElementById('location-form');

    // Listen for submiot
    locationForm.addEventListener('submit', geocode);

    function geocode(e){
      // Prevent actual submit
      e.preventDefault();

      var location = document.getElementById('location-input').value;

      axios.get('https://maps.googleapis.com/maps/api/geocode/json',{
        params:{
          address:location,
          key:'AIzaSyDsORswvfIOdE5ZfCHwW5cFs7Tkb9dfHd8'
        }
      })
      .then(function(response){
        // Log full response
        console.log(response);

        // Formatted Address
        var formattedAddress = response.data.results[0].formatted_address;
        var formattedAddressOutput = `
          <ul class="list-group">
            <li class="list-group-item">${formattedAddress}</li>
          </ul>
        `;

        // Address Components
        var addressComponents = response.data.results[0].address_components;
        var addressComponentsOutput = '<ul class="list-group">';
        for(var i = 0;i < addressComponents.length;i++){
          addressComponentsOutput += `
            <li class="list-group-item"><strong>${addressComponents[i].types[0]}</strong>: ${addressComponents[i].long_name}</li>
          `;
        }
        addressComponentsOutput += '</ul>';

        // Geometry
        var lat = response.data.results[0].geometry.location.lat;
        var lng = response.data.results[0].geometry.location.lng;
        var geometryOutput = `
          <ul class="list-group">
            <li class="list-group-item"><strong>Latitude</strong>: ${lat}</li>
            <li class="list-group-item"><strong>Longitude</strong>: ${lng}</li>
          </ul>
        `;

        // Output to app
        document.getElementById('formatted-address').innerHTML = formattedAddressOutput;
        document.getElementById('address-components').innerHTML = addressComponentsOutput;
        document.getElementById('geometry').innerHTML = geometryOutput;
      })
      .catch(function(error){
        console.log(error);
      });

     

    }
    
    

  </script>
 
 <script>
        function initMap(){
          // Map options
          var options = {
            zoom:12,
            
            center:{lat:-8.762996,lng: -63.835537}
          }
    
          // New map
          var map = new google.maps.Map(document.getElementById('map'), options);
    
          // Listen for click on map
          // google.maps.event.addListener(map, 'click', function(event){
          //   // Add marker
          //   addMarker({coords:event.latLng});
          // });
    
          /*
          // Add marker
          var marker = new google.maps.Marker({
            position:{lat:42.4668,lng:-70.9495},
            map:map,
            icon:'https://developers.google.com/maps/documentation/javascript/examples/full/images/beachflag.png'
          });
    
          var infoWindow = new google.maps.InfoWindow({
            content:'<h1>Lynn MA</h1>'
          });
    
          marker.addListener('click', function(){
            infoWindow.open(map, marker);
          });
          */
    
          // Array of markers
          var markers = [
            {
             // center:{lat:-8.762996,lng: -63.835537}
              coords:{lat:-8.762996,lng: -63.835537},
              iconImage:'https://developers.google.com/maps/documentation/javascript/examples/full/images/beachflag.png',
              content:'<h1>Lynn MA</h1>'
            },
            {
              coords:{lat:42.8584,lng:-70.9300},
              content:'<h1>Amesbury MA</h1>'
            },
 
              {
                coords:{lat:-8.7688951,lng: -63.8425077}
              },

               {
                coords:{lat:-8.7622273,lng: -63.84395009999999}
              }
          ];
    
          // // Loop through markers
          for(var i = 0;i < markers.length;i++){
            //Add marker
            addMarker(markers[i]);
          }
    
          // Add Marker Function
          function addMarker(props){
            var marker = new google.maps.Marker({
              position:props.coords,
              map:map,
              //icon:props.iconImage
            });
    
            // Check for customicon
            if(props.iconImage){
              // Set icon image
              marker.setIcon(props.iconImage);
            }
    
            // Check content
            if(props.content){
              var infoWindow = new google.maps.InfoWindow({
                content:props.content
              });
    
              marker.addListener('click', function(){
                infoWindow.open(map, marker);
              });
            }
          }
        }
 </script>


<script async defer
src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDsORswvfIOdE5ZfCHwW5cFs7Tkb9dfHd8&callback=initMap">
</script>

</body>
</html>
